-- edit by usxi7sd 03.2012
print(" --register extrafruit type in Mini_Mini_Map: potato, sunflower, sugarbeet, carrot");
      local hudFilePotato = Utils.getFilename("mods/Mini_Mini_Map_V1_MF/textures/potatoHud.png", getUserProfileAppPath());
   local hudFileSunflower = Utils.getFilename("mods/Mini_Mini_Map_V1_MF/textures/sunflowerHud.png", getUserProfileAppPath());
   local hudFileSugarbeet = Utils.getFilename("mods/Mini_Mini_Map_V1_MF/textures/sugarbeetHud.png", getUserProfileAppPath());
      local hudFileCarrot = Utils.getFilename("mods/Mini_Mini_Map_V1_MF/textures/carrotHud.png", getUserProfileAppPath());
        local hudFileMilk = Utils.getFilename("mods/Mini_Mini_Map_V1_MF/textures/milkHUD.png", getUserProfileAppPath());
      local hudFileManure = Utils.getFilename("mods/Mini_Mini_Map_V1_MF/textures/manureHUD.png", getUserProfileAppPath());
local hudFileLiquidManure = Utils.getFilename("mods/Mini_Mini_Map_V1_MF/textures/liquidManureHUD.png", getUserProfileAppPath());
      

------   needsSeeding=true, allowsSeeding=true, hasStraw=false, minHarvestingGrowthState=4 ,pricePerLiter=0.20, literPerQm=5, seedUsagePerQm=0.50, seedPricePerLiter=0.5
FruitUtil.registerFruitType("potato",   true,true,false, 4,0.8,2.0,0.02,1, hudFilePotato); -- war 0.4
FruitUtil.registerFruitType("sunflower",true,true,false, 4,0.8,2.2,0.02,1, hudFileSunflower);
FruitUtil.registerFruitType("sugarbeet",true,true,false, 4,0.8,2.2,0.02,1, hudFileSugarbeet);
FruitUtil.registerFruitType("carrot",true,true,false, 4,0.8,2.2,0.02,1, hudFileCarrot);
FruitUtil.registerFruitType("milk",false,false,false,0,0.5,0.01,1,1,hudFileMilk);
FruitUtil.registerFruitType("manure",false,false,false,0,0.3,0.01,1,1,hudFileManure);  
FruitUtil.registerFruitType("liquidManure",	false,false,false,0,0.3,1,0.01,0.5,hudFileLiquidManure);


local origSowingMachineLoad = SowingMachine.load;

SowingMachine.load = function (self, xmlFile)
	if origSowingMachineLoad ~= nil then
		origSowingMachineLoad(self, xmlFile);
	end;

	self.seeds = {};
	local i = 1;
	for k, fruitType in pairs(FruitUtil.fruitTypes) do
		if fruitType.allowsSeeding then
			self.seeds[i] = fruitType.index;
			i = i + 1;
		end;
	end;	
end;
